### Struct

# Gimp Scanner

#### Description [src]

    struct GimpScanner {
      /* No available fields */
    }

A wrapper around `GScanner` with some convenience API.

#### Constructors

###### gimp_scanner_new_file

No description available.

Available since: 2.10

###### gimp_scanner_new_stream

No description available.

Available since: 2.10

###### gimp_scanner_new_string

No description available.

Available since: 2.4

#### Instance methods

###### gimp_scanner_parse_boolean

No description available.

Available since: 2.4

###### gimp_scanner_parse_color

No description available.

Available since: 2.4

###### gimp_scanner_parse_data

No description available.

Available since: 2.4

###### gimp_scanner_parse_float

No description available.

Available since: 2.4

###### gimp_scanner_parse_identifier

No description available.

Available since: 2.4

###### gimp_scanner_parse_int

No description available.

Available since: 2.4

###### gimp_scanner_parse_int64

No description available.

Available since: 2.8

###### gimp_scanner_parse_matrix2

No description available.

Available since: 2.4

###### gimp_scanner_parse_string

No description available.

Available since: 2.4

###### gimp_scanner_parse_string_no_validate

No description available.

Available since: 2.4

###### gimp_scanner_parse_token

No description available.

Available since: 2.4

###### gimp_scanner_ref

Adds a reference to a `GimpScanner`.

Available since: 3.0

###### gimp_scanner_unref

Unref a `GimpScanner`. If the reference count drops to zero, the scanner is freed.

Available since: 3.0